[Market Custom Framework]Arabic: The words "Sorry, you are currently offline. Please try again later." on Marketpalce view is not translated.

RESOLVED FIXED

Status

Firefox OS
Gaia
P3
normal
RESOLVED FIXED
3 years ago
2 years ago

People

(Reporter: Shine(Leave from Mozilla), Unassigned)

Tracking

unspecified
ARM
Gonk (Firefox OS)
Dependency tree / graph

Firefox Tracking Flags

(feature-b2g:2.5+, b2g-v2.1 affected, b2g-v2.2 affected)

Details

(Whiteboard: LocRun2.2)

Attachments

(1 attachment)

(Reporter)

Description

3 years ago
Created attachment 8593843 [details]
Marketplace_screenshot.png

[1.Description]:
[l12y][v2.1 & v2.2][Market Custom Framework]Arabic: The words "Sorry, you are currently offline..."  on Marketpalce view is not translated.
See attachment: Marketplace_screenshot.png

[2.Testing Steps]: 
1. Turn off the WiFi and Data connections on the phone. 
2. Tap on the "Marketplace" icon to launch the marketplace app. 
3. Check all the strings on the "Sorry, you are currently offline. Please try again later." screen. 


[3.Expected Result]: 
3. The words "Sorry, you are currently offline. Please try again later." should be translated.

[4.Actual Result]: 
3. The words "Sorry, you are currently offline. Please try again later." is not translated.

[5.Reproduction build]: 
Device: Flame 2.2  (Affected)
Build ID               20150416162504
Gaia Revision          d50b8a3919a7b4d8d289f150d3b9bed704ebafa9
Gaia Date              2015-04-16 21:46:57
Gecko Revision         https://hg.mozilla.org/releases/mozilla-b2g37_v2_2/rev/5ebf32030512
Gecko Version          37.0
Device Name            flame
Firmware(Release)      4.4.2
Firmware(Incremental)  eng.cltbld.20150416.200118
Firmware Date          Thu Apr 16 20:01:29 EDT 2015
Bootloader             L1TC000118D0

Device: Flame 2.1 (Affected)
Build ID               20150416001203
Gaia Revision          bbe983b4e8bebfec26b3726b79568a22d667223c
Gaia Date              2015-04-09 13:52:48
Gecko Revision         https://hg.mozilla.org/releases/mozilla-b2g34_v2_1/rev/c54aa1be51d6
Gecko Version          34.0
Device Name            flame
Firmware(Release)      4.4.2
Firmware(Incremental)  eng.cltbld.20150416.035243
Firmware Date          Thu Apr 16 03:52:52 EDT 2015
Bootloader             L1TC000118D0

[6.Reproduction Frequency]: 
Always Recurrence,5/5

[7.TCID]: 
12863

[8.Note]:
The words "Sorry, you are currently offline. Please try again later." still cannot be translated in Accented English or Mirrored English.
(Reporter)

Updated

3 years ago
status-b2g-v2.1: --- → affected
status-b2g-v2.2: --- → affected
(Reporter)

Updated

3 years ago
Keywords: l12y
I think this string lives in Marketplace, so not as part of gaia-l10n. I don't think Marketplace has been localized yet.
Will put need info on Peiying so she can let us know when this has been localized, and when this can be checked
Flags: needinfo?(pmo)
Keywords: l12y
Summary: [l12y][Market Custom Framework]Arabic: The words "Sorry, you are currently offline. Please try again later." on Marketpalce view is not translated. → [Market Custom Framework]Arabic: The words "Sorry, you are currently offline. Please try again later." on Marketpalce view is not translated.

Comment 3

3 years ago
Wil and Krupa,

Is the string in this screen hard coded somewhere? Looks like the string is not localized in any languages, even German. We checked in different languages, we always end up with this English string
Flags: needinfo?(wclouser)
Flags: needinfo?(pmo)
Flags: needinfo?(krupa.mozbugs)
It's separate and in the package itself.  To update the string we'd need to localize it, and then generate a new package and land that in gaia.
Flags: needinfo?(wclouser)
Flags: needinfo?(krupa.mozbugs)
Wil: FYI we're string frozen on gaia (which is currently 2.2) since Monday April 6th. So heads up that this might not get into 2.2, and would have to land in v3
Whiteboard: LocRun2.2, MGSEI-l10n-1F-Arabic → LocRun2.2
[Blocking Requested - why for this release]:

Seems like this was dropped. Since we're past CC for 2.2, nominating this for 3.0 - in the case that this is still relevant in the upcoming release, which we still don't know much about
blocking-b2g: --- → 3.0?
Theo will check that this is in fact still hardcoded in 2.5
Flags: needinfo?(theo)
Ok, so the string is not hardcoded (I got comment #4 wrong), and it is localized in Arabic: https://github.com/mozilla/fireplace/blob/master/locale/ar/LC_MESSAGES/messages.po#L595

From what I understood from today's triage meeting, there will be a Marketplace package update for 2.5 soon, can we make sure the new translations are picked up (for all locales)? Not sure who to ask/what's the usual process for requests about Marketplace package updates. Wil, could you help on that?

Thanks!
Flags: needinfo?(theo) → needinfo?(wclouser)

Comment 9

2 years ago
[Triage] Per comment 5, plus it as a blocker for v2.5.
blocking-b2g: 2.5? → 2.5+
The marketplace package is currently blocked by bug 1178856.  Getting a timeline in that bug...
Flags: needinfo?(wclouser)
Depends on: 1198031
Priority: -- → P3
Marking it as Feature 2.5+, as it depends on new market place
blocking-b2g: 2.5+ → ---
feature-b2g: --- → 2.5+

Updated

2 years ago
Depends on: 1222254
The blocking bugs are all fixed. I assume this bug is fixed. If not, feel free to open it again.
Status: NEW → RESOLVED
Last Resolved: 2 years ago
Resolution: --- → FIXED
You need to log in before you can comment on or make changes to this bug.